#ifndef _MYSQL_SQL_EDITOR_H_
#define _MYSQL_SQL_EDITOR_H_


#include "db_mysql_sqlide_public_interface.h"
#include "sqlide/sqlide.h"


#define MysqlSql_VERSION "1.0"


class DB_MYSQL_SQLIDE_PUBLIC_FUNC Mysql_sql_editor : public Sql_editor
{
public:
  Mysql_sql_editor(db_mgmt_RdbmsRef rdbms);
  virtual ~Mysql_sql_editor();
  
  virtual const char *get_keywords(KeywordList list= General_Keywords) const;
  virtual const char *get_function_names() const;
};


#endif /* _MYSQL_SQL_EDITOR_H_ */
